Name:          javaparser
Version:       1.0.8
Release:       %mkrel 7
Summary:       Java 1.5 Parser and AST
Group:         Development/Java
License:       GPLv3+ and LGPLv3+
URL:           http://code.google.com/p/javaparser/
Source0:       http://javaparser.googlecode.com/files/%{name}-%{version}-src.zip
Source1:       http://%{name}.googlecode.com/svn/maven2/com/google/code/%{name}/%{name}/%{version}/%{name}-%{version}.pom

BuildRequires: java-devel

# test deps
BuildRequires: junit

BuildRequires: javacc
BuildRequires: maven-local
# BuildRequires: maven-surefire-provider-junit4
BuildRequires: sonatype-oss-parent

BuildArch:     noarch

%description
A Java 1.5 Parser with AST generation and visitor support.
The AST records the source code structure, java doc and
comments. It is also possible to change the AST nodes or
create new ones to modify the source code.

%package javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -c

cp -p %{SOURCE1} pom.xml
# remove org.jvnet.wagon-svn wagon-svn 1.9
%pom_xpath_remove "pom:project/pom:build/pom:extensions"

for s in $(find . -name "*.java");do
  native2ascii -encoding UTF8 ${s} ${s}
done

for d in COPYING readme.txt ; do
  iconv -f iso8859-1 -t utf-8 $d > $d.conv && mv -f $d.conv $d
  sed -i 's/\r//' $d
done

sed -i 's/\r//' COPYING.LESSER

%build

(
  cd src/japa/parser
  rm JavaCharStream.java ParseException.java Token.java TokenMgrError.java
  javacc.sh java_1_5.jj
)
%mvn_file :%{name} %{name}
# test skip http://code.google.com/p/javaparser/issues/detail?id=43
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc COPYING COPYING.LESSER readme.txt

%files javadoc -f .mfiles-javadoc
%doc COPYING COPYING.LESSER readme.txt



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.0.8-7.mga5
+ Revision: 743297
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Dec 16 2013 dmorgan <dmorgan> 1.0.8-5.mga4
+ Revision: 557651
- Build with xmvn

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.8-2.mga3
+ Revision: 354845
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 1.0.8-1.mga3
+ Revision: 293041
- imported package javaparser


* Thu Jul 26 2012 gil cattaneo <puntogil@libero.it> 1.0.8-1
- initial rpm
